Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1885080 - Thunar spontaneously hangs; bug fixed but packages not in distro
Summary: Thunar spontaneously hangs; bug fixed but packages not in distro
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-session
Version: 31
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-05 00:20 UTC by danc
Modified: 2020-11-24 20:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 20:24:20 UTC
Type: Bug


Attachments (Terms of Use)

Description danc 2020-10-05 00:20:21 UTC
Description of problem:

Thunar spontaneously hangs

Version-Release number of selected component (if applicable):
The lates bits in the distro


How reproducible:
Always

Steps to Reproduce:
1. Use the software for a while
2. Hangs spontaneously
3.

Actual results:
File manager hands

Expected results:
File manager won't hang

Additional info:
 am experiencing frequent crashes with the XFCE filemanager, Thunar and it's
associated thumbnailer, tumbler. I reported this bug to gitlab.xfce.org and
received a reply that this problem has been fixed by changes to the latest
versions of Thunar (4.15.0) and tumbler (0.2.9). Could somebody please push
these versions to the Fedora 31 repos? Having a file manager that crashes
often is no fun.

Just to be complete, here is the pertinent information from my original bug report:


    Thunar spontaneously crashes and closes all open Thunar windows

I can reopen them manually, but again all of my directory context is lost.

I have no specific steps to reproduce these problems, they just happen
spontaneously, on average about once a day. 115115 I am running Fedora 31 with
kernel 5.7.15-100.fc31.x86_64 on an HP Pavilion a6209n with an AMD Athlon(tm)
64 X2 Dual Core Processor 3800+ CPU. Software is current, I just updated
everything this morning.

Comment 1 Mukundan Ragavan 2020-10-05 00:54:52 UTC
Unfortunately, if this is fixed in 4.15.0, that will not be pushed to anything less than F34. 4.15.x belongs to 4.16.x release of Xfce which is the current development version.

Can you please post the link to the upstream issue you filed? I can look at how big the changes are and try to backport it, if possible.

Comment 2 danc 2020-10-05 17:14:34 UTC
Thank you for your response. The link to my bug posting with xfce is:

https://gitlab.xfce.org/xfce/thunar/-/issues/385#note_16885

On looking at the resp0nses to this bug; I see that this particular bug was
fixed in version 1.8.15  of Thunar. I don't know where the fix to tumbler was made,
but perhaps you can pick up version 0.2.9  of it which seems to have a
fix for this problem as well.

Comment 3 Mukundan Ragavan 2020-10-06 22:18:57 UTC
These are already updated on F32+. I guess I did not update F31.

Any plans to upgrade to F32+? :)

Comment 4 danc 2020-10-09 19:17:07 UTC
No I have no plans to upgrade to F32; I'm right in the middle of a large
project and don't want to risk having something break by doing a major O/S
change. Is there any chance that you can update these packages on 31? It
would be a great help. Thank for your assistance.

Comment 5 Mukundan Ragavan 2020-10-14 21:29:04 UTC
Okay, I will try to get this updated to F31. Perhaps along with other xfce packages.

Comment 6 danc 2020-10-15 23:31:57 UTC
Thanks.

Comment 7 Fedora Update System 2020-11-01 21:59:35 UTC
FEDORA-2020-96de0e4e9d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-96de0e4e9d

Comment 8 Mukundan Ragavan 2020-11-01 22:00:33 UTC
This should bring F31 up to date with other stable releases as long as xfce packages are concerned.

Note that F31 will be EOL very soon. No further updates will be possible once F31 is EOL.

Comment 9 Fedora Update System 2020-11-02 01:25:08 UTC
FEDORA-2020-96de0e4e9d has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-96de0e4e9d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-96de0e4e9d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 danc 2020-11-02 20:51:25 UTC
(In reply to Mukundan Ragavan from comment #8)
> This should bring F31 up to date with other stable releases as long as xfce
> packages are concerned.
> 
> Note that F31 will be EOL very soon. No further updates will be possible
> once F31 is EOL.

Thank you for fixing this issue. I understand about F31 EOL; will be upgrading
OS as soon as I wrap up some major projects.
Thank you for fixing this issue. I understand about F31 EOL; will be upgrading
OS as soon as I wrap up some major projects.

Comment 11 Ben Cotton 2020-11-03 17:00:11 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 danc 2020-11-04 19:48:41 UTC
I'm afraid that these updates do not show in dnfdragora yet.

Comment 13 Mukundan Ragavan 2020-11-04 22:10:33 UTC
It should be in updates-testing repo. You will need to enable the repo to install the update. See commment #9


These packages will go to F31 stable after it spends 7 days in testing.

Comment 14 Fedora Update System 2020-11-10 01:21:40 UTC
FEDORA-2020-96de0e4e9d has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Ben Cotton 2020-11-24 20:24:20 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.